<? $rates = ( $this->is_preview ) ? $this->escort->getRates() : $this->escort->getHHRates() ?>

<? $hh_info = $this->escort->getHHRatesInfo(); ?>
<? if ( $hh_info->hh_is_active ): ?>
    <div class="block rates">
        <div class="head"><span><?= __('hh_rates') ?></span></div>

        <p class="hh_title">
            <img src="<?= _st('hh_title_left_pntik.png') ?>" />
            <span><?= __('hh_top_text', array('showname' => $hh_info->showname, 'date_from' => date('H', $hh_info->hh_date_from), 'date_from_a' => date('a', $hh_info->hh_date_from), 'date_to' => date('H', $hh_info->hh_date_to), 'date_to_a' => date('a', $hh_info->hh_date_to))) ?></span>
            <img src="<?= _st('hh_title_right_pntik.png') ?>" />
        </p>

        <?php //print_r( $rates[1] ); ?>
        <? if ( isset($rates[1]) && count($rates[1]) > 0 ): ?>
            <div class="hh_box clearFix">
                <div class="hh_times">
                    <div class="header gray-head"><p class="incall"><span class="incall"></span><?= __('incall') ?></p></div>
                    <ul>
                        <? $c = 0; ?>
                        <? foreach( $rates[1] as $rate ): ?>
                            <?php $rate->hh_price = ( $rate->hh_price ) ? $rate->hh_price : $rate->price; ?>
                            <? if ( $rate->hh_price ): ?>
                                <li <?= ($c % 2 == 0) ? '' : 'class="c"' ?>>
                                    <? if ( ! $rate->type ): ?>
                                        <?= $rate->time ?>
                                    <? else: ?>
                                        <?= ($rate->type == 'additional-hour') ? __('hh_add_hour') : __($rate->type) ?>
                                    <? endif; ?>
                                    <?= ( ! $rate->type ) ? ' ' . $rate->time_unit_title : '' ?>
                                </li>
                                <? $c++; ?>
                            <? endif; ?>
                        <? endforeach; ?>
                    </ul>
                </div>
                <div class="hh_rates">
                    <div class="header red-head"><p><span></span>Happy Hour</p></div>
                    <ul>
                        <? $c = 0; ?>
                        <? foreach( $rates[1] as $rate ): ?>
                            <?php $rate->hh_price = ( $rate->hh_price ) ? $rate->hh_price : $rate->price; ?>
                            <? if ( $rate->hh_price ): ?>
                                <li <?= ($c % 2 == 0) ? 'class="c3"' : 'class="c2"' ?>><span class="old_price"><?= $rate->price ?> <?= $rate->currency_title ?></span> <span class="new_price"><?= $rate->hh_price ?> <?= $rate->currency_title ?></span></li>
                                <? $c++; ?>
                            <? endif; ?>
                        <? endforeach; ?>
                    </ul>
                </div>
                <div class="hh_save">
                    <div class="header gray-head"><p><span class="save"></span><?= __('save') ?></p></div>
                    <ul>
                        <? $c = 0; ?>
                        <? foreach( $rates[1] as $rate ): ?>
                            <?php $rate->hh_price = ( $rate->hh_price ) ? $rate->hh_price : $rate->price; ?>
                            <? if ( $rate->hh_price ): ?>
                                <li <?= ($c % 2 == 0) ? '' : 'class="c"' ?>><?= $rate->price - $rate->hh_price ?> <?= $rate->currency_title ?></li>
                                <? $c++; ?>
                            <? endif; ?>
                        <? endforeach; ?>
                    </ul>
                </div>
                <div class="clear"></div>
            </div>
        <? endif; ?>

        <? if ( isset($rates[2]) && count($rates[2]) > 0 ): ?>
            <div class="hh_box clearFix">
                <div class="hh_times">
                    <div class="header gray-head"><p class="outcall"><span class="outcall"></span><?= __('outcall') ?></p></div>
                    <ul>
                        <? $c = 0; ?>
                        <? foreach( $rates[2] as $rate ): ?>
                            <?php $rate->hh_price = ( $rate->hh_price ) ? $rate->hh_price : $rate->price; ?>
                            <? if ( $rate->hh_price ): ?>
                                <li <?= ($c % 2 == 0) ? '' : 'class="c"' ?>>
                                    <? if ( ! $rate->type ): ?>
                                        <?= $rate->time ?>
                                    <? else: ?>
                                        <?= ($rate->type == 'additional-hour') ? __('hh_add_hour') : __($rate->type) ?>
                                    <? endif; ?>
                                    <?= ( ! $rate->type ) ? ' ' . $rate->time_unit_title : '' ?></th>
                                    <? $c++; ?>
                                </li>
                            <? endif; ?>
                        <? endforeach; ?>
                    </ul>
                </div>
                <div class="hh_rates">
                    <div class="header blue-head"><p><span></span>Happy Hour</p></div>
                    <ul>
                        <? $c = 0; ?>
                        <? foreach( $rates[2] as $rate ): ?>
                            <?php $rate->hh_price = ( $rate->hh_price ) ? $rate->hh_price : $rate->price; ?>
                            <? if ( $rate->hh_price ): ?>
                                <li <?= ($c % 2 == 0) ? 'class="c3"' : 'class="c2"' ?>><span class="old_price"><?= $rate->price ?> <?= $rate->currency_title ?></span> <span class="new_price"><?= $rate->hh_price ?> <?= $rate->currency_title ?></span></li>
                                <? $c++; ?>
                            <? endif; ?>
                        <? endforeach; ?>
                    </ul>
                </div>
                <div class="hh_save">
                    <div class="header gray-head"><p><span class="save"></span><?= __('save') ?></p></div>
                    <ul>
                        <? $c = 0; ?>
                        <? foreach( $rates[2] as $rate ): ?>
                            <?php $rate->hh_price = ( $rate->hh_price ) ? $rate->hh_price : $rate->price; ?>
                            <? if ( $rate->hh_price ): ?>
                                <li <?= ($c % 2 == 0) ? '' : 'class="c"' ?>><?= $rate->price - $rate->hh_price ?> <?= $rate->currency_title ?></li>
                                <? $c++; ?>
                            <? endif; ?>
                        <? endforeach; ?>
                    </ul>
                </div>
                <div class="clear"></div>
            </div>
        <? endif; ?>

        <div class="clear"></div>

    </div>
<? endif ?>

<style>
    .block.rates { margin: 10px 0; padding: 10px; text-align: center; }
    .block.rates > .head { margin: 5px 0; text-transform: uppercase; font-size: 15px; color: #d42075;
        font-weight: bold; }

    .clearFix:after { display: table; clear: both; content: ''; }
    .hh_box { display: table; table-layout: fixed; width: 100%; overflow: hidden; margin: 10px 0;
        border-top: 1px solid #cecece; border-left: 1px solid #cecece; }

    .hh_box ul { padding: 0; margin: 0; list-style-type: none; }
    .hh_box ul > li { padding: 7px 0; border-right: 1px solid #cecece; border-bottom: 1px solid #cecece; font-size: 12px; }
    .hh_box .hh_times,
    .hh_box .hh_rates,
    .hh_box .hh_save { display: table-cell; width: 100%; }
    .hh_box .hh_times .header,
    .hh_box .hh_rates .header,
    .hh_box .hh_save .header { border-right: 1px solid #cecece; border-bottom: 1px solid #cecece;
        color: #fff; font-size: 12px; height: 30px; line-height: 30px; }

    .happy-hours .gray-head { background-color: #75797b; }
    .happy-hours .red-head { background-color: #ec407a; }
    .happy-hours .blue-head { background-color: #42a5f5; }

    .happy-hours .red-head span { background: url(/img/v2.1/hh_icon.png) no-repeat 0 50%;
        padding: 0 0 0 20px; }
    .happy-hours .blue-head span { background: url(/img/v2.1/hh_icon.png) no-repeat 0 50%;
        padding: 0 0 0 20px; }
    .happy-hours .gray-head span.incall { background: url(/img/v2.1/hh_incall_icon.png) no-repeat 0 50%;
        padding: 0 0 0 18px; }
    .happy-hours .gray-head span.save { background: url(/img/v2.1/hh_save_icon.png) no-repeat 0 50%;
        padding: 0 0 0 18px; }
    .happy-hours .gray-head span.outcall { background: url(/img/v2.1/hh_outcall_icon.png) no-repeat 0 50%;
        padding: 0 0 0 18px; }

    .hh_box ul > li.c2,
    .hh_box ul > li.c3 { background-color: #fcffd5; }
    .happy-hours .old_price { color: #777; text-decoration: line-through; margin-right: 10px; }
    .happy-hours .new_price { color: #d41f75; }
</style>
